Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Shutdown_Command< T > Class Template Reference

`#include <EC_Lifetime_Utils_T.h>`

Collaboration diagram for TAO_EC_Shutdown_Command< T >:

[legend]
List of all members.

## Public Methods
| TAO_EC_Shutdown_Command (void)
| TAO_EC_Shutdown_Command (T target)
void | execute (ACE_ENV_SINGLE_ARG_DECL)
## Private Attributes
T | target_

### template<class T>
class TAO_EC_Shutdown_Command< T >

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE TAO_EC_Shutdown_Command< T >::TAO_EC_Shutdown_Command | ( | void |  | ) |

template<class T>
ACE_INLINE TAO_EC_Shutdown_Command< T >::TAO_EC_Shutdown_Command | ( | T | target | ) |

## Member Function Documentation

template<class T>
ACE_INLINE void TAO_EC_Shutdown_Command< T >::execute | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

## Member Data Documentation

template<class T>
T TAO_EC_Shutdown_Command< T >::target_`[private]`

The documentation for this class was generated from the following files:

- EC_Lifetime_Utils_T.h
- EC_Lifetime_Utils_T.i